This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 866260 - Review Request: juel - Java Unified Expression Language Implementation
Review Request: juel - Java Unified Expression Language Implementation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2012-10-14 18:20 EDT by gil cattaneo
Modified: 2014-03-01 22:43 EST (History)
3 users (show)

See Also:
Fixed In Version: juel-2.2.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-01 22:43:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rosset.filipe: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-14 18:20:04 EDT
Spec URL: http://gil.fedorapeople.org/juel.spec
SRPM URL: http://gil.fedorapeople.org/juel-2.2.5-1.fc16.src.rpm
Description: Implementation of the Java Unified Expression Language as specified
by the Expression Language Specification, Version 2.1 (JEE5, part of
the JSP 2.1 standard [JSR-245]), plus maintenance release 2.2 (JEE6).
Fedora Account System Username: gil
Comment 2 Filipe Rosset 2013-07-08 23:46:45 EDT
It's my first review of a java package, so I'd like to hear a second opinion by other reviewer about this package. It looks fine for me with some minor things to be fixed based on https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

It was reviewed manually + fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 866260

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues/Suggestions:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

Eg, I found no %mvn_build or %mvn_install, maybe it can be improved.

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in juel-
     javadoc
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 3 files have unknown license.
These three files have no license, but I believe it's not a problem cause it a test case.
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/juel-2.2.6/modules/impl/src/test/java/de/odysseus/el/test/TestClass.java
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/juel-2.2.6/modules/impl/src/test/java/de/odysseus/el/test/TestInterface.java
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/juel-2.2.6/modules/impl/src/test/java/de/odysseus/el/tree/NodePrinterTest.java


[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[ ]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[X]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[ ]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: juel-2.2.6-1.fc20.noarch.rpm
          juel-javadoc-2.2.6-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint juel juel-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
juel (rpmlib, GLIBC filtered):
    java
    jboss-el-2.2-api
    jpackage-utils

juel-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
juel:
    juel
    mvn(de.odysseus.juel:juel)
    mvn(de.odysseus.juel:juel-impl)
    mvn(de.odysseus.juel:juel-parent)
    mvn(de.odysseus.juel:juel-spi)
    osgi(de.odysseus.juel-impl)

juel-javadoc:
    juel-javadoc



Source checksums
----------------
  CHECKSUM(SHA256) this package     : e0a33a2c47414ebdcab92f03a6c019fa289da87289beb99f4bc9b2fc973de600
  CHECKSUM(SHA256) upstream package : e0a33a2c47414ebdcab92f03a6c019fa289da87289beb99f4bc9b2fc973de600

  CHECKSUM(SHA256) this package     : b356155360aaa958ee5e15e018eca26f864c68d8907939223a432d21557a5f3e
  CHECKSUM(SHA256) upstream package : b356155360aaa958ee5e15e018eca26f864c68d8907939223a432d21557a5f3e
Comment 3 gil cattaneo 2013-07-09 02:05:13 EDT
Spec URL: http://gil.fedorapeople.org/juel.spec
SRPM URL: http://gil.fedorapeople.org/juel-2.2.6-1.fc19.src.rpm

- rebuilt with XMvn support
Comment 4 Christopher Meng 2014-02-18 19:42:58 EST
Hi Gil, don't forget this one.
Comment 5 gil cattaneo 2014-02-18 20:20:14 EST
Sorry...

Spec URL: http://gil.fedorapeople.org/juel.spec
SRPM URL: http://gil.fedorapeople.org/juel-2.2.7-1.fc19.src.rpm

- update to 2.2.7


New Package SCM Request
=======================
Package Name: juel
Short Description: Java Unified Expression Language Implementation
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2014-02-19 08:17:20 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-02-19 10:42:45 EST
juel-2.2.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/juel-2.2.7-1.fc20
Comment 8 Fedora Update System 2014-02-21 19:44:58 EST
juel-2.2.7-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2014-03-01 22:43:30 EST
juel-2.2.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.